Index: tests/GuiChecks/Atoms/RandomPerturbation/testsuite-atoms-random-perturbation.at
===================================================================
--- tests/GuiChecks/Atoms/RandomPerturbation/testsuite-atoms-random-perturbation.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Atoms/RandomPerturbation/testsuite-atoms-random-perturbation.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -22,4 +22,5 @@
 file=water.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Atoms/RandomPerturbation/pre/water.xyz $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder --dry-run -i water.xyz --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=1;" --select-all-atoms --random-perturbation 0.1 --no-dry-run --store-session session-atoms-random-perturbation.py --session-type python], 0, [ignore], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-atoms-random-perturbation.py >session-atoms-random-perturbation_new.py], 0, [ignore], [ignore])
@@ -32,4 +33,5 @@
 file=water.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Atoms/RandomPerturbation/pre/water.xyz $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder --dry-run -i water.xyz --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=1;" --select-all-atoms --random-perturbation 0.1 --undo --no-dry-run --store-session session-atoms-random-perturbation.py --session-type python], 0, [ignore], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-atoms-random-perturbation.py >session-atoms-random-perturbation_new.py], 0, [ignore], [ignore])
@@ -43,4 +45,5 @@
 file=water.xyz
 AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Atoms/RandomPerturbation/pre/water.xyz $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder --dry-run -i water.xyz --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=1;" --select-all-atoms --random-perturbation 0.1 --undo --redo --no-dry-run --store-session session-atoms-random-perturbation.py --session-type python], 0, [ignore], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-atoms-random-perturbation.py >session-atoms-random-perturbation_new.py], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cube.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cube.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cube.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -24,6 +24,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cube1" 		--shape-type "cube" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "cube1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1"
-], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cube1" 		--shape-type "cube" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "cube1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" --no-dry-run --store-session session-fill-surface-cube.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-cube.py >session-fill-surface-cube_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-cube_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
@@ -37,6 +38,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cube1" 		--shape-type "cube" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "cube1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo
-], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cube1" 		--shape-type "cube" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "cube1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo --no-dry-run --store-session session-fill-surface-cube.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-cube.py >session-fill-surface-cube_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-cube_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
@@ -50,6 +52,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cube1" 		--shape-type "cube" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "cube1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo 	--redo
-], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cube1" 		--shape-type "cube" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "cube1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo 	--redo --no-dry-run --store-session session-fill-surface-cube.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-cube.py >session-fill-surface-cube_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-cube_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cylinder.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cylinder.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-cylinder.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -24,6 +24,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cylinder1" 		--shape-type "cylinder" 		--translation "10,10,0." 		--stretch "5.,5.,20." 	--select-shape-by-name "cylinder1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1"
-], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cylinder1" 		--shape-type "cylinder" 		--translation "10,10,0." 		--stretch "5.,5.,20." 	--select-shape-by-name "cylinder1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" --no-dry-run --store-session session-fill-surface-cylinder.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-cylinder.py >session-fill-surface-cylinder_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-cylinder_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
@@ -37,6 +38,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cylinder1" 		--shape-type "cylinder" 		--translation "10,10,0." 		--stretch "5.,5.,20." 	--select-shape-by-name "cylinder1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo
-], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cylinder1" 		--shape-type "cylinder" 		--translation "10,10,0." 		--stretch "5.,5.,20." 	--select-shape-by-name "cylinder1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo --no-dry-run --store-session session-fill-surface-cylinder.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-cylinder.py >session-fill-surface-cylinder_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-cylinder_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
@@ -50,6 +52,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cylinder1" 		--shape-type "cylinder" 		--translation "10,10,0." 		--stretch "5.,5.,20." 	--select-shape-by-name "cylinder1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo 	--redo
-], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "cylinder1" 		--shape-type "cylinder" 		--translation "10,10,0." 		--stretch "5.,5.,20." 	--select-shape-by-name "cylinder1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo 	--redo --no-dry-run --store-session session-fill-surface-cylinder.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-cylinder.py >session-fill-surface-cylinder_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-cylinder_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-everywhere.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-everywhere.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-everywhere.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -24,6 +24,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "everywhere1" 		--shape-type "everywhere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "everywhere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
-], 5, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "everywhere1" 		--shape-type "everywhere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "everywhere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" --no-dry-run --store-session session-fill-surface-everywhere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-everywhere.py >session-fill-surface-everywhere_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-everywhere_new.py], 5, [stdout], [stderr])
 #AT_CHECK([grep "20 out of 20 returned true from predicate" stdout], 0, [ignore], [ignore])
 #AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -25,6 +25,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder 	--parse-particle-parameters tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
-], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	--parse-particle-parameters tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" --no-dry-run --store-session session-fill-surface-micelle.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-micelle.py >session-fill-surface-micelle_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-micelle_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
 
@@ -39,6 +40,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder 	--parse-particle-parameters tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo
-], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	--parse-particle-parameters tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo --no-dry-run --store-session session-fill-surface-micelle.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-micelle.py >session-fill-surface-micelle_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-micelle_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
@@ -53,6 +55,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder 	--parse-particle-parameters tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo 	--redo
-], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	--parse-particle-parameters tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo 	--redo --no-dry-run --store-session session-fill-surface-micelle.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-micelle.py >session-fill-surface-micelle_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-micelle_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-nowhere.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-nowhere.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-nowhere.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -24,6 +24,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "nowhere1" 		--shape-type "nowhere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "nowhere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
-], 5, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "nowhere1" 		--shape-type "nowhere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "nowhere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" --no-dry-run --store-session session-fill-surface-nowhere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-nowhere.py >session-fill-surface-nowhere_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-nowhere_new.py], 5, [stdout], [stderr])
 #AT_CHECK([grep "20 out of 20 returned true from predicate" stdout], 0, [ignore], [ignore])
 #AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-sphere.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-sphere.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-sphere.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -24,6 +24,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1"
-], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" --no-dry-run --store-session session-fill-surface-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-sphere.py >session-fill-surface-sphere_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-sphere_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
@@ -37,6 +38,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo
-], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo --no-dry-run --store-session session-fill-surface-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-sphere.py >session-fill-surface-sphere_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-sphere_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
@@ -50,6 +52,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/water.xyz water.xyz], 0)
 AT_CHECK([chmod u+w water.xyz], 0)
-AT_CHECK([../../molecuilder 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo 	--redo
-], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	-l water.xyz 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "10,10,10" 		--stretch "5.,5.,5." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,-1" 	--undo 	--redo --no-dry-run --store-session session-fill-surface-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-surface-sphere.py >session-fill-surface-sphere_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-surface-sphere_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cube.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cube.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cube.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -25,6 +25,7 @@
 file=water_cube.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
-AT_CHECK([
-	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cube" 			--shape-type cube 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cube" 		--fill-volume 			--count 12], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cube" 			--shape-type cube 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cube" 		--fill-volume 			--count 12 --no-dry-run --store-session session-fill-volume-cube.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-volume-cube.py >session-fill-volume-cube_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-volume-cube_new.py], 0, [stdout], [stderr])
 #AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cylinder.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cylinder.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cylinder.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -23,6 +23,7 @@
 file=water_cylinder.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
-AT_CHECK([
-	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cylinder" 			--shape-type cylinder 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cylinder" 		--fill-volume 			--count 12], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cylinder" 			--shape-type cylinder 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cylinder" 		--fill-volume 			--count 12 --no-dry-run --store-session session-fill-volume-cylinder.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-volume-cylinder.py >session-fill-volume-cylinder_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-volume-cylinder_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
@@ -35,6 +36,7 @@
 file=water_cylinder.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
-AT_CHECK([
-	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cylinder" 			--shape-type cylinder 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cylinder" 		--fill-volume 			--count 12 		--undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cylinder" 			--shape-type cylinder 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cylinder" 		--fill-volume 			--count 12 		--undo --no-dry-run --store-session session-fill-volume-cylinder.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-volume-cylinder.py >session-fill-volume-cylinder_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-volume-cylinder_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/water_undo.xyz], 0, [ignore], [ignore])
 
@@ -47,6 +49,7 @@
 file=water_cylinder.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
-AT_CHECK([
-	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cylinder" 			--shape-type cylinder 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cylinder" 		--fill-volume 			--count 12 		--undo 		--redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cylinder" 			--shape-type cylinder 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cylinder" 		--fill-volume 			--count 12 		--undo 		--redo --no-dry-run --store-session session-fill-volume-cylinder.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-volume-cylinder.py >session-fill-volume-cylinder_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-volume-cylinder_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-everywhere.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-everywhere.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-everywhere.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -24,6 +24,7 @@
 file=water_nowhere.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
-AT_CHECK([
-	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "everywhere" 			--shape-type everywhere 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "everywhere" 		--fill-volume 			--count 12], 5, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "everywhere" 			--shape-type everywhere 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "everywhere" 		--fill-volume 			--count 12 --no-dry-run --store-session session-fill-volume-everywhere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-volume-everywhere.py >session-fill-volume-everywhere_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-volume-everywhere_new.py], 5, [stdout], [stderr])
 #AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-nowhere.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-nowhere.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-nowhere.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -24,6 +24,7 @@
 file=water_nowhere.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
-AT_CHECK([
-	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "nowhere" 			--shape-type nowhere 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "nowhere" 		--fill-volume 			--count 12], 5, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "nowhere" 			--shape-type nowhere 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "nowhere" 		--fill-volume 			--count 12 --no-dry-run --store-session session-fill-volume-nowhere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-volume-nowhere.py >session-fill-volume-nowhere_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-volume-nowhere_new.py], 5, [stdout], [stderr])
 #AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-sphere.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-sphere.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-sphere.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -25,6 +25,7 @@
 file=water_sphere.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
-AT_CHECK([
-	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "sphere" 			--shape-type sphere 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "sphere" 		--fill-volume 			--count 12], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "sphere" 			--shape-type sphere 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "sphere" 		--fill-volume 			--count 12 --no-dry-run --store-session session-fill-volume-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-volume-sphere.py >session-fill-volume-sphere_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-volume-sphere_new.py], 0, [stdout], [stderr])
 #AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Fragmentation/DiffFragmentResultContainer/testsuite-fragmentation-difffragmenresultcontainer.at
===================================================================
--- tests/GuiChecks/Fragmentation/DiffFragmentResultContainer/testsuite-fragmentation-difffragmenresultcontainer.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
+++ tests/GuiChecks/Fragmentation/DiffFragmentResultContainer/testsuite-fragmentation-difffragmenresultcontainer.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -0,0 +1,32 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### check whether helper program difffragmentresultcontainer works
+
+AT_SETUP([Fragmentation - difffragmentresultcontainer])
+AT_KEYWORDS([fragmentation difffragmentresultcontainer])
+# results.dat is taken from Fragmentation/ParseSaveFragmentResults/pre/results.dat
+
+# check equality
+AT_CHECK([../../difffragmentresultcontainer 	${abs_top_srcdir}/tests/regression/Fragmentation/DiffFragmentResultContainer/pre/alkane_results.dat 	${abs_top_srcdir}/tests/regression/Fragmentation/DiffFragmentResultContainer/pre/alkane_results.dat], 0)
+AT_CHECK([../../difffragmentresultcontainer 	${abs_top_srcdir}/tests/regression/Fragmentation/DiffFragmentResultContainer/pre/water_results.dat 	${abs_top_srcdir}/tests/regression/Fragmentation/DiffFragmentResultContainer/pre/water_results.dat], 0)
+
+# check inequality
+AT_CHECK([../../difffragmentresultcontainer 	${abs_top_srcdir}/tests/regression/Fragmentation/DiffFragmentResultContainer/pre/alkane_results.dat 	${abs_top_srcdir}/tests/regression/Fragmentation/DiffFragmentResultContainer/pre/water_results.dat], 5,
+	[ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Fragmentation/testsuite-fragmentation.at
===================================================================
--- tests/GuiChecks/Fragmentation/testsuite-fragmentation.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Fragmentation/testsuite-fragmentation.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -31,4 +31,7 @@
 m4_include([Fragmentation/StoreSaturatedFragment/testsuite-fragmentation-store-saturated-fragment.at])
 
+# check whether helper program works
+m4_include([Fragmentation/DiffFragmentResultContainer/testsuite-fragmentation-difffragmenresultcontainer.at])
+
 # check automation
 m4_include([Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at])
Index: tests/GuiChecks/Graph/ChemicalSpaceEvaluator/testsuite-chemical-space-evaluator.at
===================================================================
--- tests/GuiChecks/Graph/ChemicalSpaceEvaluator/testsuite-chemical-space-evaluator.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
+++ tests/GuiChecks/Graph/ChemicalSpaceEvaluator/testsuite-chemical-space-evaluator.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -0,0 +1,31 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2017 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### evaluate chemical space
+
+AT_SETUP([Graph - evaluate chemical space])
+AT_KEYWORDS([graph evaluate-chemical-space graph6])
+
+file=homologies.dat
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/ChemicalSpaceEvaluator/pre/homologies_CC.dat $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--evaluate-chemical-space --graph6 'B`' --elements C C --no-dry-run --store-session session-chemical-space-evaluator.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-chemical-space-evaluator.py >session-chemical-space-evaluator_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-chemical-space-evaluator_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/GuiChecks/Graph/testsuite-graph.at
===================================================================
--- tests/GuiChecks/Graph/testsuite-graph.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Graph/testsuite-graph.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -33,2 +33,5 @@
 # Subgraph dissection with specific boundary conditions
 m4_include([Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at])
+
+# evaluate the chemical space of a given graph
+m4_include([Graph/ChemicalSpaceEvaluator/testsuite-chemical-space-evaluator.at])
Index: tests/GuiChecks/Makefile.am
===================================================================
--- tests/GuiChecks/Makefile.am	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Makefile.am	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -6,4 +6,5 @@
 	$(srcdir)/./Testlauncher/testsuite-testlauncher-works.at \
 	$(srcdir)/./Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at \
+	$(srcdir)/./Fragmentation/DiffFragmentResultContainer/testsuite-fragmentation-difffragmenresultcontainer.at \
 	$(srcdir)/./Fragmentation/ParseSaveFragmentResults/testsuite-fragmentation-parse-save-fragment-results.at \
 	$(srcdir)/./Fragmentation/testsuite-fragmentation.at \
@@ -158,4 +159,5 @@
 	$(srcdir)/./Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at \
 	$(srcdir)/./Graph/SubgraphDissection/testsuite-graph-subgraph-dissection.at \
+	$(srcdir)/./Graph/ChemicalSpaceEvaluator/testsuite-chemical-space-evaluator.at \
 	$(srcdir)/./RandomNumbers/testsuite-randomnumbers.at \
 	$(srcdir)/./RandomNumbers/Engine/testsuite-set-random-number-engine.at \
Index: tests/GuiChecks/Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at
===================================================================
--- tests/GuiChecks/Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -25,5 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/pre/test.forces .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --force-annealing --forces-file test.forces --steps 1 --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -I --select-all-atoms --step-world-time 1 --force-annealing --forces-file test.forces --steps 1 --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-molecules-force-annealing.py >session-molecules-force-annealing_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-molecules-force-annealing_new.py], 0, [stdout], [stderr])
@@ -33,5 +33,6 @@
 
 
-AT_SETUP([Molecules - Force Annealing with Undo])
+# here, we have only one step in the trajectories
+AT_SETUP([Molecules - Force Annealing with Undo I])
 AT_KEYWORDS([molecules force-annealing undo])
 
@@ -40,8 +41,24 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/pre/test.forces .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --force-annealing --forces-file test.forces --steps 1 --undo --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --step-world-time 1 --force-annealing --forces-file test.forces --steps 1 --undo --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-molecules-force-annealing.py >session-molecules-force-annealing_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-molecules-force-annealing_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/post/test-undo.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+# here two steps are present already
+AT_SETUP([Molecules - Force Annealing with Undo II])
+AT_KEYWORDS([molecules force-annealing undo])
+
+file=test2.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/pre/test2.conf $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/pre/test.forces .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --set-world-time 1 --force-annealing --forces-file test.forces --steps 1 --undo --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-force-annealing.py >session-molecules-force-annealing_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-force-annealing_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/post/test-undo2.conf], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -55,5 +72,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/pre/test.forces .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --force-annealing --forces-file test.forces --steps 1 --undo --redo --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --step-world-time 1 --force-annealing --forces-file test.forces --steps 1 --undo --redo --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-molecules-force-annealing.py >session-molecules-force-annealing_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-molecules-force-annealing_new.py], 0, [stdout], [stderr])
